import React from "react";
import {classes} from "../../Utils";

export function Buttons({placement, children}: React.PropsWithChildren<{
	placement?: "right"|"left"|"center";
}>)
{
	// Default placement: right.
	placement = placement ?? "right";

	return (
		<div className={classes("buttons", placement)}>
			{children}
		</div>
	);
}
